%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Utility for managing filesystem extended attributes
Name:		attr
Version:	2.4.47
Release:	2
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://savannah.nongnu.org/projects/attr
Source0:	http://mirrors.aixtools.net/sv/%{name}/%{name}-%{version}.src.tar.gz
Source1:	http://mirrors.aixtools.net/sv/%{name}/%{name}-%{version}.src.tar.gz.sig
BuildRequires:	gettext-devel

%description
A set of tools for manipulating extended attributes on filesystem
objects, in particular getfattr(1) and setfattr(1).
An attr(1) command is also provided which is largely compatible
with the SGI IRIX tool of the same name.

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Main library for libattr
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with libattr.

%files -n %{libname}
/%{_lib}/libattr.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Extended attribute static libraries and headers
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains the libraries and header files needed to
develop programs which make use of extended attributes.
For Linux programs, the documented system call API is the
recommended interface, but an SGI IRIX compatibility interface
is also provided.

%files -n %{devname}
%doc doc/CHANGES.gz README
%{_libdir}/libattr.so
%{_mandir}/man3/*
%{_mandir}/man5/*
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*

#----------------------------------------------------------------------------

%prep
%setup -q
chmod +rw -R .

%build
%configure2_5x \
	OPTIMIZER="%{optflags} -Os" \
	--disable-static \
	--libdir=/%{_lib}
%make

%install
make install DIST_ROOT=%{buildroot}
make install-dev DIST_ROOT=%{buildroot}
make install-lib DIST_ROOT=%{buildroot}

# fix conflict with man-pages-1.56
rm -rf %{buildroot}{%{_mandir}/man2,%{_datadir}/doc}

# Remove unpackaged symlinks
# TODO: finish up spec-helper script ot automatically deal with
rm -f %{buildroot}/%{_lib}/libattr.{a,la,so}
mkdir -p %{buildroot}%{_libdir}
ln -sf /%{_lib}/libattr.so.%{major}.* %{buildroot}%{_libdir}/libattr.so
chmod +x %{buildroot}/%{_lib}/libattr.so.%{major}.*

%find_lang %{name}


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.4.47-2
+ Revision: 78333a9
- MassBuild#440: Increase release tag


